extends Node

@onready var Options_Screen : Control = $Options_Scene;
@onready var Classic_Button : TextureButton = $Classic_Button;
@onready var Options_Button : TextureButton = $Options_Button;
@onready var Options_Animations : AnimationPlayer = $Options_Animation_Appear;
@export var Can_Press : bool = true;

func _ready() -> void:
	#Loading scenes for faster performances, at the start of game
	load("res://Source/Scenes/game_launcher_scene.tscn");
	load("res://Source/Scenes/options_scene.tscn");
	load("res://Source/Scenes/youtube_scroll_camera.tscn");
	load("res://Source/Scenes/subtitles.tscn");
	load("res://Source/Scenes/pause_menu.tscn");
	load("res://Source/Scenes/Classic/main_menu_classic_scene.tscn");
	load("res://Source/Scenes/Classic/story_classic_scene.tscn");
	load("res://Source/Scenes/Classic/game_classic_scene.tscn");
	load("res://Source/Scenes/Classic/classic_mc_donalds_scene.tscn");

#Select Gane
func _on_classic_button_pressed() -> void:
	get_tree().change_scene_to_file("res://Source/Scenes/Classic/main_menu_classic_scene.tscn");
	
func _on_options_button_pressed() -> void:
	Classic_Button.mouse_filter = Control.MOUSE_FILTER_IGNORE;
	Options_Button.mouse_filter = Control.MOUSE_FILTER_IGNORE;
	Options_Animations.play("Appear");

func _on_options_animation_appear_animation_finished(anim_name: StringName) -> void:
	if anim_name == "Disappear":
		Classic_Button.mouse_filter = Control.MOUSE_FILTER_STOP;
		Options_Button.mouse_filter = Control.MOUSE_FILTER_STOP;
