extends Control

@onready var Animations : AnimationPlayer = $"../Options_Animation_Appear";
@onready var Fullscreen : CheckBox = $Fullscreen;
@onready var Cursor_Style : CheckBox = $Cursor_Style;
@onready var YouTube_Layout : CheckBox = $Youtube_Layout;
@onready var DarkMode : CheckBox = $Dark_Mode;
@onready var Back : TextureButton = $Back;
@onready var Background : Sprite2D = $Options;
@onready var Subtitles : CheckBox = $Subtitles;

@onready var Mouse_Cursor := preload("res://Source/Images/lacey_pointer.png");

func _ready() -> void:
	
	if Global.Mobile_Input:
		Background.texture = preload("res://Source/Images/Game_Launcher_Assets/options_mobile.png");
		YouTube_Layout.position.y = 464;
		DarkMode.position.y = 519;
		Subtitles.position.y = 626;
		Fullscreen.visible = false;
		Cursor_Style.visible = false;

func _on_back_pressed() -> void:
	if Animations != null:
		Subtitles.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		Back.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		Fullscreen.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		Cursor_Style.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		YouTube_Layout.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		DarkMode.mouse_filter = Control.MOUSE_FILTER_IGNORE;
		Animations.play("Disappear");

func _on_options_animation_appear_animation_finished(anim_name: StringName) -> void:
	if anim_name == "Appear":
		Subtitles.mouse_filter = Control.MOUSE_FILTER_STOP;
		Back.mouse_filter = Control.MOUSE_FILTER_STOP;
		Fullscreen.mouse_filter = Control.MOUSE_FILTER_STOP;
		Cursor_Style.mouse_filter = Control.MOUSE_FILTER_STOP;
		YouTube_Layout.mouse_filter = Control.MOUSE_FILTER_STOP;
		DarkMode.mouse_filter = Control.MOUSE_FILTER_STOP;

func _on_fullscreen_toggled(button_pressed: bool) -> void:
	if button_pressed:
		Global.Fullscreen = true;
		DisplayServer.window_set_mode(DisplayServer.WINDOW_MODE_FULLSCREEN);
	else:
		Global.Fullscreen = false;
		DisplayServer.window_set_mode(DisplayServer.WINDOW_MODE_WINDOWED);
func _on_cursor_style_toggled(button_pressed: bool) -> void:
	if button_pressed:
		Global.Cursor_Style = true;
		DisplayServer.cursor_set_custom_image(Mouse_Cursor);
	else:
		Global.Cursor_Style = false;
		DisplayServer.cursor_set_custom_image(null);
func _on_youtube_layout_toggled(button_pressed: bool) -> void:
	if button_pressed:
		Global.Youtube_Layout = true;
	else:
		Global.Youtube_Layout = false;
func _on_dark_mode_toggled(button_pressed: bool) -> void:
	if button_pressed:
		Global.Dark_Mode = true;
	else:
		Global.Dark_Mode = false;

func _on_subtitles_toggled(button_pressed: bool) -> void:
	if button_pressed:
		Global.Subtitles = true;
	else:
		Global.Subtitles = false;
