extends Node

@onready var Screen : Sprite2D = $Screen;
@onready var Play_Button : TextureButton = $Play_Button;
@onready var Play_Sound : AudioStreamPlayer = $Play_Sound;
@onready var Music : AudioStreamPlayer = $Music;

@onready var Timer_Black : Timer = $Screen/Timer_Black_Screen;
@onready var Timer_Change : Timer = $Screen/Timer_Change;

func _on_play_button_pressed() -> void:
	Play_Button.disabled = true;
	Play_Sound.play();

func _on_play_sound_finished() -> void:
	Play_Button.visible = false;;
	Timer_Black.start();
	Screen.modulate = Color(0,0,0);
	
func _on_timer_black_screen_timeout() -> void:
	Timer_Change.start();
	Screen.modulate = Color(1,1,1);
	Screen.texture = preload("res://Source/Images/Classic/Main_Menu_Assets/story_bug.png");
	Music.volume_db += 5;

func _on_timer_change_timeout() -> void:
	get_tree().change_scene_to_file("res://Source/Scenes/Classic/game_classic_scene.tscn");
