extends Panel

@export var Dialogues_Manager : int = 0; # 0 : Afternoon Dialogues || 1 : Night Dialogues
@export var Subtitles_Call : int = 0;
@onready var Subtitles_TXT : Label = $Subtitles;
@onready var Subtitles_Timer : Timer = $Subtitles/Subtitle_Timer;

@export var Total_Characters : int = 0;

func _ready() -> void:
	_apply_settings();
	_reset_text();

func _reset_text() -> void:
	Subtitles_TXT.visible_characters = 0;
	Total_Characters = Subtitles_TXT.text.length();

func _process(_delta: float) -> void:
	if Subtitles_TXT.visible_characters < Total_Characters:
		Subtitles_TXT.visible_characters += 1;

func _apply_settings() -> void:
	if Global.Subtitles:
		self.modulate.a = 1;
	else:
		self.modulate.a = 0;

func _on_call_timer_timeout() -> void:
	Subtitles_Timer.start();

func _on_subtitle_timer_timeout() -> void:
	match(Subtitles_Call):
		0:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Lacey...";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Lacey...I'm here.";
				Subtitles_Timer.wait_time = 3;
				Subtitles_Timer.start();
		1:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Lacey, did you see my texts Lacey?";
				Subtitles_Timer.wait_time = 4;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "I'm here. Did you get my gift, Lacey?";
				Subtitles_Timer.wait_time = 3;
				Subtitles_Timer.start();
		2:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "I can't wait to meet up Lacey...";
				Subtitles_Timer.wait_time = 3;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Did you like it?";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
		3:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "I want to... have a good time tonight with you, Lacey...";
				Subtitles_Timer.wait_time = 8;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "I'm here. Open the door, my darling.";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
		4:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Tonight...";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Open the door!";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
		5:
			if Dialogues_Manager == 0:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Bye bye...";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
			elif Dialogues_Manager == 1:
				if !self.visible:
						self.visible = true;
				Subtitles_Call += 1;
				Subtitles_TXT.text = "Open the fucking door!!";
				Subtitles_Timer.wait_time = 2;
				Subtitles_Timer.start();
		6:
			self.visible = false;
			Subtitles_Timer.wait_time = 8;
	_reset_text();

func _on_gift_top_sequence_animation_finished(anim_name: StringName) -> void:
	if anim_name == "Sequence":
		Subtitles_Call = 0;
		Dialogues_Manager = 1;
		Subtitles_Timer.start();
