extends Camera2D

func _ready() -> void:
	_apply_settings();

func _apply_settings() -> void:
	if Global.Youtube_Layout:
		self.position.y = Global.Youtube_Camera_Position_y;
		self.enabled = true;
	else:
		self.enabled = false;

func _input(event: InputEvent) -> void:
	if Global.Youtube_Layout:
		if !Global.Mobile_Input:
			if event.is_action_pressed("scroll_up"):
				self.position.y -= 100;
				_Scroll_Limitation();
			elif event.is_action_pressed("scroll_down"):
				self.position.y += 100;
				_Scroll_Limitation();
			Global.Youtube_Camera_Position_y = self.position.y;
	
		if event is InputEventMouseMotion && Global.Mobile_Input:
			if event.button_mask == MOUSE_BUTTON_LEFT:
				self.position.y -= event.relative.y;
				_Scroll_Limitation();
				Global.Youtube_Camera_Position_y = self.position.y;

func _Scroll_Limitation() -> void:
	self.position.y = clamp(self.position.y,536,1429);
